VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::vmon::ServiceDefinitions Class Reference

Defines the type descriptors for the Service API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | info
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateSpec
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | startInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | startOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | stopInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | stopOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | restartInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | restartOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | updateInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | updateOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listDetailsInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listDetailsOutput

## Detailed Description

Defines the type descriptors for the Service API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::vmon::ServiceDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("service", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.vmon.Service"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::vmon::ServiceDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.vmon.ServiceDefinitions.info.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::vmon::ServiceDefinitions::info`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name_key", new vmware.vapi.bindings.type.StringType());
                    fields.Add("description_key", new vmware.vapi.bindings.type.StringType());
                    fields.Add("startup_type", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.vmon.ServiceTypes.StartupType)));
                    fields.Add("state", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.vmon.ServiceTypes.State)));
                    fields.Add("health", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.vmon.ServiceTypes.Health))));
                    fields.Add("health_messages", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value)))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    validators = new global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator>(1);
                    global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>> caseFields =
                        new global::System.Collections.Generic.Dictionary<string, global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>>();
                    caseFields.Add("STARTED", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){new vmware.vapi.data.UnionValidator.FieldData("health", false), new vmware.vapi.data.UnionValidator.FieldData("health_messages", false)});
                    caseFields.Add("STARTING", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    caseFields.Add("STOPPING", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    caseFields.Add("STOPPED", new global::System.Collections.Generic.List<vmware.vapi.data.UnionValidator.FieldData>(){});
                    validators.Add(new vmware.vapi.data.UnionValidator("state", caseFields));
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.vmon.service.info", fields, typeof(vmware.appliance.vmon.ServiceTypes.Info), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::vmon::ServiceDefinitions::listDetailsInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::vmon::ServiceDefinitions::listDetailsOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.MapType(new vmware.vapi.bindings.type.IdType("com.vmware.appliance.vmon.Service"), new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.vmon.ServiceDefinitions.info.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::vmon::ServiceDefinitions::restartInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("service", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.vmon.Service"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::vmon::ServiceDefinitions::restartOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::vmon::ServiceDefinitions::startInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("service", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.vmon.Service"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::vmon::ServiceDefinitions::startOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::vmon::ServiceDefinitions::stopInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("service", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.vmon.Service"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::vmon::ServiceDefinitions::stopOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::vmon::ServiceDefinitions::updateInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("service", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.vmon.Service"));
                    fields.Add("spec", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.vmon.ServiceDefinitions.updateSpec.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::vmon::ServiceDefinitions::updateOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.VoidType();
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::vmon::ServiceDefinitions::updateSpec`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("startup_type", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.vmon.ServiceTypes.StartupType))));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.vmon.service.update_spec", fields, typeof(vmware.appliance.vmon.ServiceTypes.UpdateSpec), validators, false, null);
                })

The documentation for this class was generated from the following file:

- appliance/vmon/ServiceDefinitions.cs